import { FieldInfo } from 'model-util-base';
import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, JoinTable } from 'model-util';
import { UserMonthlyCard } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-09-02 11:01
 */
interface UserMonthlyCardCU extends ConditionUtil<UserMonthlyCardCU> {
    ID: FieldUtil<UserMonthlyCardCU>;
    USER_ID: FieldUtil<UserMonthlyCardCU>;
    CARD_ID: FieldUtil<UserMonthlyCardCU>;
    LOT_ID: FieldUtil<UserMonthlyCardCU>;
    CARD_TYPE: FieldUtil<UserMonthlyCardCU>;
    CAR_PLATE_NUM: FieldUtil<UserMonthlyCardCU>;
    VALID_FROM: FieldUtil<UserMonthlyCardCU>;
    VALID_TO: FieldUtil<UserMonthlyCardCU>;
    VALID_VALUE: FieldUtil<UserMonthlyCardCU>;
    CREATE_TIME: FieldUtil<UserMonthlyCardCU>;
    UPDATE_TIME: FieldUtil<UserMonthlyCardCU>;
    STATE: FieldUtil<UserMonthlyCardCU>;
}
declare class UserMonthlyCardMU extends TableUtilImpl<UserMonthlyCardCU, UserMonthlyCard> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: JoinTable[];
    subTables: any[];
    createConditionUtil(): UserMonthlyCardCU;
    static get ID(): FieldUtil<UserMonthlyCardCU>;
    static get USER_ID(): FieldUtil<UserMonthlyCardCU>;
    static get CARD_ID(): FieldUtil<UserMonthlyCardCU>;
    static get LOT_ID(): FieldUtil<UserMonthlyCardCU>;
    static get CARD_TYPE(): FieldUtil<UserMonthlyCardCU>;
    static get CAR_PLATE_NUM(): FieldUtil<UserMonthlyCardCU>;
    static get VALID_FROM(): FieldUtil<UserMonthlyCardCU>;
    static get VALID_TO(): FieldUtil<UserMonthlyCardCU>;
    static get VALID_VALUE(): FieldUtil<UserMonthlyCardCU>;
    static get CREATE_TIME(): FieldUtil<UserMonthlyCardCU>;
    static get UPDATE_TIME(): FieldUtil<UserMonthlyCardCU>;
    static get STATE(): FieldUtil<UserMonthlyCardCU>;
    static get LOT_NAME(): FieldInfo;
    get ID(): FieldUtil<UserMonthlyCardCU>;
    get USER_ID(): FieldUtil<UserMonthlyCardCU>;
    get CARD_ID(): FieldUtil<UserMonthlyCardCU>;
    get LOT_ID(): FieldUtil<UserMonthlyCardCU>;
    get CARD_TYPE(): FieldUtil<UserMonthlyCardCU>;
    get CAR_PLATE_NUM(): FieldUtil<UserMonthlyCardCU>;
    get VALID_FROM(): FieldUtil<UserMonthlyCardCU>;
    get VALID_TO(): FieldUtil<UserMonthlyCardCU>;
    get VALID_VALUE(): FieldUtil<UserMonthlyCardCU>;
    get CREATE_TIME(): FieldUtil<UserMonthlyCardCU>;
    get UPDATE_TIME(): FieldUtil<UserMonthlyCardCU>;
    get STATE(): FieldUtil<UserMonthlyCardCU>;
    get LOT_NAME(): FieldInfo;
}
export { UserMonthlyCardMU, UserMonthlyCardCU };
